### Enumeration

# Gimp SelectCriterion

#### Declaration

    enum Gimp.SelectCriterion

#### Description [src]

Criterions for color similarity.

#### Members

`GIMP_SELECT_CRITERION_COMPOSITE`

  Composite.

  - Value: `0`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_RGB_RED`

  Red.

  - Value: `1`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_RGB_GREEN`

  Green.

  - Value: `2`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_RGB_BLUE`

  Blue.

  - Value: `3`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_HSV_HUE`

  HSV Hue.

  - Value: `4`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_HSV_SATURATION`

  HSV Saturation.

  - Value: `5`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_HSV_VALUE`

  HSV Value.

  - Value: `6`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_LCH_LIGHTNESS`

  LCh Lightness.

  - Value: `7`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_LCH_CHROMA`

  LCh Chroma.

  - Value: `8`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_LCH_HUE`

  LCh Hue.

  - Value: `9`
  - Available since: 3.0
`GIMP_SELECT_CRITERION_ALPHA`

  Alpha.

  - Value: `10`
  - Available since: 3.0